[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.LineTo

Draws a line from the current position up to, but not including, the specified point.

## Declaration

Source position: winapih.inc line 188

`public function TWidgetSet.LineTo(`
`DC: HDC;`
`X: Integer;`
`Y: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`X` |  | The endpoint in logical units.
`Y` |  | The endpoint in logical units.

## Function result

False on failure.

## Description

The current position is set to the given endpoint.